Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 21 Oct 2014, 23:17
All times are UTC - 4
 Forum index » Taking the Puppy out for a walk » Announcements
Puppies 4.31.1 Puppy linux 4.30 Plus fixes and FireFox 3.5.3
Moderators: Flash, Ian, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 7 of 19 Posts_count   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8, 9, ..., 17, 18, 19 Next
Author Message
DaveS


Joined: 09 Oct 2008
Posts: 3726
Location: UK

PostPosted: Sun 20 Sep 2009, 13:10    Post_subject:  

rjbrewer wrote:


It's a bit tedious, but not nearly as much as the time I
individually deleted the extra 800 plus printer drivers
I didn't need. Smile


Ah, ok thanks. Seems like you are replacing 1.1.18 with Ttuuxxx's ultra quick 1.1.15

_________________
Spup Frugal HD and USB
Root forever!
Back to top
View user's profile Send_private_message 
dio444

Joined: 20 Nov 2008
Posts: 33

PostPosted: Sun 20 Sep 2009, 13:20    Post_subject: Bug in 431 + fix
Sub_title: bug in /usr/sbin/youtube.sh
 

There is a bug that causes the script to fail, and hence the entire You2Pup system to fail if a local filename with spaces in it is chosen. The fix is easy, simply add "" to a few arguments. Here's a copy of the "fixed" file.

Tom
youtube.sh.gz
Description  "Fixed" /usr/sbin/youtube.sh that doesn't crash on spaces in the local filename.
gz

 Download 
Filename  youtube.sh.gz 
Filesize  765 Bytes 
Downloaded  304 Time(s) 
Back to top
View user's profile Send_private_message 
panzerpuppy

Joined: 02 Oct 2007
Posts: 632

PostPosted: Sun 20 Sep 2009, 13:39    Post_subject:  

@MU:

- Does your ATI Catalyst 9.9 .PET (for *new* ATI cards) work in Puppies-4.3.1.1 ?

- What package should I install to enable DRI / 3D acceleration for R200 cards in this puplet?
Back to top
View user's profile Send_private_message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Sun 20 Sep 2009, 13:44    Post_subject:  

panzerpuppy wrote:
@MU: Does your ATI Catalyst 9.9 .PET (for *new* ATI cards) work in Puppies-4.3.1.1 ?


No. As far as I understood former messages, ttuuxx replaced xserver 1.5.2 with an older version.
My pets just include the files for the xserver, that they were created on. This is one reason, why they are much smaller than the original Ati installers, that include the files for several different xservers.
So to create a pet for this puplet here, you had to modify my pet as I had described in my former message.

Mark

_________________
my recommended links
Back to top
View user's profile Send_private_message Visit_website 
panzerpuppy

Joined: 02 Oct 2007
Posts: 632

PostPosted: Sun 20 Sep 2009, 14:01    Post_subject:  

Is it possible to just use the installer from the ATI site (without using your .PET package) ?
(All I need is the DEVX .SFS and the kernel sources for compiling)

Do I need a different .DEVX SFS?
Do I need to install an old Xorg / Mesa package before installing the ATI driver?

And what to do if I have an old R200 card?
fglrx or Catalyst drivers don't work with the newest kernel,so I must use the open-source drivers. Is there an R200 DRI + OpenGL package for this puplet with really old X.Org?
Back to top
View user's profile Send_private_message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Sun 20 Sep 2009, 14:18    Post_subject:  

no, the pet is not required.
It just makes things more comfortable.
E.g. when you select "ati latest" in the modified xorgwizard, it will remove files first, that might conflict with that driver.

I think you can use the original devx and kernelsource sfs from Puppy 4.3, as only the kernelmodule will be compiled, and that is the same in puppies 4.31, too.
The other files, e.g. for the different xservers, are pre-compiled binaries, that are just copied to your system.

Mesa is not needed, as Atis Catalyst comes with own OpenGL drivers.

Concerning DRI with the free drivers:
Look at /var/log/Xorg.0.log, maybe you can see there, which xorg ttuuxx has used.
Then install the matching DRI pet from Puppys repos.
http://ftp.nluug.nl/ftp/pub/os/Linux/distr/puppylinux/
This should work, even if old Kernelmodules are included, as Kernel 2.6.30.5 has own, newer ones in different folders. So it will ignore those from the old DRI pets.

Mark

_________________
my recommended links
Back to top
View user's profile Send_private_message Visit_website 
James C


Joined: 26 Mar 2009
Posts: 5854
Location: Kentucky

PostPosted: Sun 20 Sep 2009, 14:20    Post_subject:  

Downloaded and posting from 4.31.1 right now, running live. Will give it a good run later today. Smile
Back to top
View user's profile Send_private_message 
DaveS


Joined: 09 Oct 2008
Posts: 3726
Location: UK

PostPosted: Sun 20 Sep 2009, 14:26    Post_subject:  

Does not work with my system, video format is way off. All squashed out wide.
_________________
Spup Frugal HD and USB
Root forever!
Back to top
View user's profile Send_private_message 
playdayz


Joined: 25 Apr 2008
Posts: 3788

PostPosted: Sun 20 Sep 2009, 14:41    Post_subject:  

Here's a challenge ttuuxxx or whoever wants to take it

SRWare Iron for Linux alpha 3.0.197

It needs dbus and dbus-glib, libgconf, and libORBit, but once those are provided it seems to want libc-2.8, but that makes 4.3 freeze such that you can click to your heart's content but no further programs will run and then I have to reset. I like FF 3.5.x and I have used FF forever it seems like, but Iron is way so much faster, noticeably, significantly, and I regard that as a quality of use factor. I ran Iron for Linux alpha in Ubuntu 9.04 to see how it works and I was impressed. Did I say it was faster?

And, oh, yes, Iron has an adblock feature that 1) does not slow it down, and 2) Google Chrome does not have the adblock feature--I wonder why?
Back to top
View user's profile Send_private_message 
Schism


Joined: 12 Dec 2008
Posts: 78

PostPosted: Sun 20 Sep 2009, 15:11    Post_subject: Need CPU Scaling Tool  

Tuxxx,

Thank You! Again, for your work.

It basically works and I would love it but the CPU frequency scaling tool was a definite plus for my AMD Athlon dual core. I did install the pet for it but it doesn't work. Anyway to get it to?
Back to top
View user's profile Send_private_message 
panzerpuppy

Joined: 02 Oct 2007
Posts: 632

PostPosted: Sun 20 Sep 2009, 15:13    Post_subject:  

Puppies 4.3.1 uses a *very old* version of Xorg (v7.0 from 2005) (LOL)
Back to top
View user's profile Send_private_message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Sun 20 Sep 2009, 15:17    Post_subject:  

panzerpuppy wrote:
Puppies 4.3.1 uses a *very old* Xorg 7.0 (from 2005) (LOL)


So you might need pets from here:
http://ftp.nluug.nl/ftp/pub/os/Linux/distr/puppylinux/pet_packages-2/

xorg_DRI_MODULES-7.0.pet
xorg_OPENGL-7.0.pet
This should enable DRI and 3D support for the r200 chips.

Mark

_________________
my recommended links
Back to top
View user's profile Send_private_message Visit_website 
sinc


Joined: 22 Jul 2009
Posts: 523
Location: Tampa, FL USA

PostPosted: Sun 20 Sep 2009, 21:41    Post_subject:  

ttuuxxx, i've haven't ever mentioned this b/c it doesn't bother too much but so you know I have to use xvesa b/c xorg freezes up for me in FF. it did so in 2.14x also. like i mentioned i don't mind using xvesa but if you want me to run any tests for anything to see why my computer always freezes up in xorg in your versions just let me know.
Back to top
View user's profile Send_private_message 
PowerPup


Joined: 17 Mar 2009
Posts: 65
Location: Washington, USA.

PostPosted: Mon 21 Sep 2009, 00:35    Post_subject:  

I've been watching this topic for a little while, and I must say I am VERY impressed with the direction the puppy 4.3 series are going. Especially ttuuxxx's 431 puplet. I hope I can try to make my PowerPup project based on the structure of puppy 431. Very Happy I haven't actually tried the puplet yet. (I was waiting for 4.31.1) Cool I'll let you how much I like it after I test it. Very Happy
Back to top
View user's profile Send_private_message Visit_website 
DaveS


Joined: 09 Oct 2008
Posts: 3726
Location: UK

PostPosted: Mon 21 Sep 2009, 02:10    Post_subject:  

Need some help here please. For the first time ever, I cant run Xorg on this Puppy, so need to run Xvesa. Thats OK, but am having just the worst time with the touchpad. I would normally configure this via Xorg.conf, but I guess Xvesa is different, SO, where do I find a mouse config file, if any please?
_________________
Spup Frugal HD and USB
Root forever!
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 7 of 19 Posts_count   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8, 9, ..., 17, 18, 19 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Taking the Puppy out for a walk » Announcements
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0806s ][ Queries: 12 (0.0072s) ][ GZIP on ]